﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadSchedulerWebForm.aspx.cs" Inherits="RadSchedulerWebForm" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>

</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server"></telerik:RadScriptManager>

        <script type="text/javascript">
            //<![CDATA[     

            function OnClientAppointmentWebServiceInserting(sender, args) {
                //set a default Calendar resource

                if (args.get_appointment().get_resources().get_count() == 0) {
                    var defaultCalendarResource = sender.get_resources().getResourceByTypeAndKey("Teacher", 1);
                    args.get_appointment().get_resources().add(defaultCalendarResource);
                }
            }
            //]]>
        </script>

        <telerik:RadScheduler runat="server" ID="RadScheduler1" Skin="Default" Height="450"
            OnClientAppointmentWebServiceInserting="OnClientAppointmentWebServiceInserting"
            SelectedView="WeekView" ShowFooter="false" SelectedDate="2012-01-31" TimeZoneOffset="03:00:00"
            DayStartTime="08:00:00" DayEndTime="21:00:00" FirstDayOfWeek="Monday" LastDayOfWeek="Friday"
            EnableDescriptionField="true" AppointmentStyleMode="Default">
            <WebServiceSettings Path="api/scheduler" ResourcePopulationMode="ServerSide" UseHttpGet="true" />
            <AdvancedForm Modal="true"></AdvancedForm>
            <TimelineView UserSelectable="false"></TimelineView>
            <ResourceStyles>
                <%--AppointmentStyleMode must be explicitly set to Default (see above) otherwise setting BackColor/BorderColor
                                   will switch the appointments to Simple rendering (no rounded corners and gradients)--%>
                <telerik:ResourceStyleMapping Type="Calendar" Text="Personal"
                    BorderColor="#abd962" />
                <telerik:ResourceStyleMapping Type="Calendar" Text="Work"
                    BorderColor="#25a0da" />
            </ResourceStyles>
            <ResourceHeaderTemplate>
                <div class="rsResourceHeader<%# Eval("Text") %>">
                    <%# Eval("Text") %>
                </div>
            </ResourceHeaderTemplate>
            <TimeSlotContextMenuSettings EnableDefault="true" />
            <AppointmentContextMenuSettings EnableDefault="true" />
            <Localization HeaderWeek="Work week" />
        </telerik:RadScheduler>
    </form>
</body>
</html>
